#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf libXvMC-1.0.7.tar.bz2
    cd libXvMC-1.0.7
    ./configure --prefix=/usr --sysconfdir=/etc/X11 --localstatedir=/var \
	    --datarootdir=/usr/lib --disable-static
    make libXvMC_la_LIBADD='-lX11 -lXext' libXvMCW_la_LIBADD='-lX11'
    strip -R .note -R .comment wrapper/.libs/libXvMCW.so.1 \
	    src/.libs/libXvMC.so.1
    mkdir -p ../libxvmc1/lib
    cp wrapper/.libs/libXvMCW.so.1 src/.libs/libXvMC.so.1 ../libxvmc1/lib/
    cd ..
    rm -rf libXvMC-1.0.7
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
